Page MenuHomePhabricator

Move validation out of the form classes
Closed, ResolvedPublic1 Estimate Story Points

Description

Validation should be handled by the adapter model or a helper class, not the UI layer.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterMove more validation out of GatewayPage and into the adapter.

Event Timeline

awight created this task.Jan 8 2015, 10:18 PM
awight renamed this task from Move validation and any other adapter-appropriate stuff out of the form classes to Move validation out of the form classes.
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight moved this task to DI Refactor on the Fundraising-Backlog-Old board.
awight updated the task description. (Show Details)
awight set Security to None.
awight added a subscriber: awight.

Change 63823 had a related patch set uploaded (by Awight):
Move more validation out of GatewayPage and into the adapter.

https://gerrit.wikimedia.org/r/63823

Patch-For-Review

Change 184010 had a related patch set uploaded (by Awight):
DataValidator uses GatewayAdapter object

https://gerrit.wikimedia.org/r/184010

Patch-For-Review

awight triaged this task as Medium priority.Jan 14 2015, 11:24 PM
awight edited a custom field.Jan 14 2015, 11:38 PM
atgo assigned this task to awight.Jan 14 2015, 11:39 PM
atgo edited a custom field.

Note to self: make a second card for other validation cleanup.

Change 63823 merged by jenkins-bot:
Move more validation out of GatewayPage and into the adapter.

https://gerrit.wikimedia.org/r/63823

(Strange, gerritbot did not record that 184010 was merged.)

atgo closed this task as Resolved.Feb 7 2015, 12:47 AM
atgo added a subscriber: atgo.
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM